#include <QtGui>
#include "freenectqglwidget.hxx"

Freenect::Freenect freenect;

int main(int argc, char **argv )
{
	QApplication a( argc, argv );
	int res=1;
	
	try{
		//erzeugt einen Zugriff auf die Kinect Nr. 0
		FreenectRGBDevice* dev  = &freenect.createDevice<FreenectRGBDevice>(0);
		
		//Starte Aufzeichnungen der Daten
		dev->startVideo();
		dev->startDepth();
		
		//Erstelle eine Ansicht dieses Kinects mit OpenGL
		FreenectQGLWidget w(0, 100,dev);
		w.show();
		
		//Starte die Anwendung
		res = a.exec();
		
		//Wenn die Anwendung beendet wurde, dann schließe alles
		w.close();
		dev->stopVideo();
		dev->stopDepth();
		freenect.deleteDevice(0);
	}
	catch (const std::runtime_error & e)
	{
		QMessageBox::critical(NULL, QString("Err"), QString(e.what()));
	}
	
	return res;
}
